Bug 1300585 - [RFE] [glance] Implement new glance image import workflow (refactor)
[RFE] [glance] Implement new glance image import workflow (refactor)
Status: VERIFIED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
high Severity urgent
: Upstream M2
: 12.0 (Pike)
Assigned To: Erno Kuvaja
Mike Abrams
Don Domingo
https://blueprints.launchpad.net/glan...
upstream_milestone_pike-3 upstream_de...
: FutureFeature, TechPreview, Triaged
Depends On:
Blocks: 1210770 1250106 1389435 1442136
  Show dependency treegraph
 
Reported: 2016-01-21 03:45 EST by Pablo Iranzo Gómez
Modified: 2017-09-25 00:08 EDT (History)
23 users (show)

See Also:
Fixed In Version: openstack-glance-15.0.0-0.20170807160730.9204583.el7ost
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 232371 None None None 2016-01-21 14:02 EST

  None (edit)
Description Pablo Iranzo Gómez 2016-01-21 03:45:18 EST
Description of problem:

This is to request the implementation of the new import workflow which includes triggering the tasks engine.

https://specs.openstack.org/openstack/glance-specs/specs/mitaka/approved/image-import/image-import-refactor.html


This is derived from original BZ 1250106 that requested Glance to be doing transparent conversion of images.
Comment 2 Flavio Percoco 2016-01-21 10:39:54 EST
The new import workflow is still under development. This means it'll be released in Mitaka (OSP9)
Comment 3 Mike McCune 2016-03-28 18:37:22 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Elise Gafford 2016-08-29 10:25:46 EDT
Moving to RHOS 11 per communication with Glance team.
Comment 7 Edu Alcaniz 2016-09-16 02:47:33 EDT
Hi, could you update the status of the BZ please
Comment 8 Flavio Percoco 2016-09-16 09:31:15 EDT
Edu,

The upstream community is still working on this. Unfortunately, this work had to be pushed back to Ocata.
Comment 9 Edu Alcaniz 2016-09-16 10:07:10 EDT
Thanks so much for the update.
Comment 11 Aviv Guetta 2016-11-09 03:39:27 EST
The upstream bug (https://review.openstack.org/232371) related to this BZ is already merged (released for Mitaka)
Why this BZ isn't moved to QE?
Comment 12 Paul Grist 2016-11-09 11:08:39 EST
Aviv - that's really the upstream blueprint work, not the changes.
Comment 15 Sean Cohen 2017-03-12 09:53:30 EDT
*** Bug 1250106 has been marked as a duplicate of this bug. ***
Comment 16 Sean Cohen 2017-03-12 10:12:29 EDT
The dependent import VMware guests with transparent image conversion use case is now covered in bug 1250106
Sean
Comment 17 Edu Alcaniz 2017-03-13 06:43:17 EDT
(In reply to Sean Cohen from comment #16)
> The dependent import VMware guests with transparent image conversion use
> case is now covered in bug 1250106
> Sean

Great Sean, I appreciate your comment.

Edu
Comment 18 Paul Grist 2017-03-20 14:16:15 EDT
Just to clarify, this RFE represents the refactor changes alone and not specific features.  The upstream plan is to default to off and we will need to determine the final plans for OSP12 in terms of default behavior.
Comment 23 Paul Grist 2017-06-13 17:41:39 EDT
The MVP image refactor patch has landed.  Keep in mind this RFE represents the refactor code which will be disabled by default and is separate from some of the individual features people may be tracking against this BZ.

Note You need to log in before you can comment on or make changes to this bug.